# React + Vite

This template provides a minimal setup to get React working in Vite with HMR and some ESLint rules.

Currently, two official plugins are available:

- [@vitejs/plugin-react](https://github.com/vitejs/vite-plugin-react/blob/main/packages/plugin-react/README.md) uses [Babel](https://babeljs.io/) for Fast Refresh
- [@vitejs/plugin-react-swc](https://github.com/vitejs/vite-plugin-react-swc) uses [SWC](https://swc.rs/) for Fast Refresh

## Bar

This is some default content for the README. Change this to the appropriate
content.

### Install

1. Install the dependencies:

    ```shell
    npm install
    ```

2. Run the application:

    ```shell
    npm run dev
    ```

### Build

1. Install the dependencies:

    ```shell
    npm install
    ```

2. Build the single directory component(s):

    ```shell
    npm run build
    ```

### Usage

To add this single directory component to a Twig template:

```
{{ include('foo:bar') }}
```

### Additional information

Some extra info about the component.

#### Translations

Generating this module added following to `foo.info.yml`.

```yaml
'interface translation project': foo
'interface translation server pattern': modules/foo/translations/foo.%language.po
```

Add your `*.po` files to the `translations` directory,
following the `foo.%language.po` naming convention.
For example, you would create `foo.es.po`
in `modules/foo/translations` for the Spanish translations.

See the [interface translation properties](https://api.drupal.org/api/drupal/core%21modules%21locale%21locale.api.php/group/interface_translation_properties/10) documentation.

#### Add-Ons

If you want to go further, you can add a variety of testing frameworks.

##### Storybook

```shell
npx storybook@latest init --no-dev
```

Congratulations. You have installed:

1. [Storybook](https://storybook.js.org/)

##### Testing

If you answered "Yes" to "Install testing frameworks?", congratulations.
You have installed:

1. [cypress](https://www.cypress.io/)
2. [Vitest](https://vitest.dev/)
3. [Testing Library](https://testing-library.com/)

Otherwise, you can add them manually:

```shell
npm install --save-dev vitest @vitest/ui \
    @testing-library/react @testing-library/dom \
    cypress @testing-library/cypress
```
